Bug 30460

Summary: NPN_ReloadPlugins does not reload the page even if reloadPages is true.
Product: WebKit Reporter: Yael <yael>
Component: Plug-insAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: hausmann, laszlo.gombos
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
Patch
kenneth: review+, commit-queue: commit-queue-
Patch kenneth: review+, commit-queue: commit-queue-

Description Yael 2009-10-16 14:33:05 PDT
The call to  Page::refreshPlugins(reloadOpenPages) is missing from refreshPlugins() implementation in PluginInfoStore.cpp    .
Will upload a patch after I test on all platforms.
Comment 1 Yael 2009-11-20 10:56:30 PST
Created attachment 43596 [details]
Patch
Comment 2 WebKit Commit Bot 2009-11-20 11:40:08 PST
Comment on attachment 43596 [details]
Patch

Rejecting patch 43596 from commit-queue.

Failed to run "['WebKitTools/Scripts/run-webkit-tests', '--no-launch-safari', '--quiet', '--exit-after-n-failures=1']" exit_code: 1
Running build-dumprendertree
Running tests from /Users/eseidel/Projects/CommitQueue/LayoutTests
Testing 11651 test cases.
plugins/reloadplugins-and-pages.html -> failed

Exiting early after 1 failures. 9585 tests run.
337.89s total testing time

9584 test cases (99%) succeeded
1 test case (<1%) had incorrect layout
7 test cases (<1%) had stderr output
Comment 3 Yael 2009-11-20 12:27:06 PST
Created attachment 43603 [details]
Patch

I forgot that not all ports share the same plugins code. Added the new tests to the skip list for ports that don't use WebCore/plugins.
Comment 4 WebKit Commit Bot 2009-11-20 12:45:41 PST
Comment on attachment 43603 [details]
Patch

Rejecting patch 43603 from commit-queue.

Failed to run "['/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', '--reviewer', 'Kenneth Rohde Christiansen', '--force']" exit_code: 1
Last 500 characters of output:
.rej
patching file LayoutTests/plugins/reloadplugins-no-pages-expected.txt
patching file LayoutTests/plugins/reloadplugins-and-pages-expected.txt
patching file LayoutTests/plugins/reloadplugins-no-pages.html
patching file LayoutTests/plugins/reloadplugins-and-pages.html
patching file LayoutTests/ChangeLog
Hunk #1 succeeded at 1 with fuzz 1.
patching file WebKitTools/DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.cpp
patching file WebKitTools/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
Comment 5 Yael 2009-11-20 13:41:58 PST
Committed 51257  <http://trac.webkit.org/changeset/51257>
Comment 6 Simon Hausmann 2009-11-21 03:22:11 PST
Hmm, the Mac port uses a different code path indeed, but the Safari Windows build uses WebCore/plugins/npapi.cpp, which calls the refreshPlugins() function you changed. So theoretically the test should pass there. The bot output only indicated failure on Mac.